%%
% ASBSBOXPLOT
%
% Purpose:  Auxiliar code to plot results from extensive validations
%
% Inputs:   None
%           
% Output:   None
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

[ X S ] = xlsread('results2292.xlsx');

% Summarize columns by number of features 
N = sum(X(:,1:18),2);   
% Calculate de most frequent
M = median (N);
% calculate nomber of elements with this value
L = length(find(N == M));
% create matrix NaN by default
C = NaN (L, 18);
% assign percentatges

for i=1:18 %% Provi9siobbal ha de ser N
    % filas con #comb = i
    IDX = find (N == i);
    [MinP IMin] = min (X (IDX, 19));
    [MaxP IMax] = max (X (IDX, 19));
    
    C(1:length(IDX), i) = X(IDX,19);
    
    fprintf('\n');
    fprintf('#Comb: %d\tMin : %.2f%%\tMax : %.2f%%', i, MinP*100, MaxP*100);
    fprintf('\n         RMS SCE SFL SRO ZCR MF2 MF3 MF4 MF5 MF6 MF7 MF8 MF9 M10 M11 M12 M13 RAT');
    fprintf('\nRowMin  : ');
    fprintf('%d   ', X(IDX(1)+IMin-1, 1:18)); fprintf('%.2f%% ', X(IDX(1)+IMin-1, 19)*100);
    fprintf('\nRowMax  : ');
    fprintf('%d   ', X(IDX(1)+IMax-1, 1:18)); fprintf('%.2f%% ', X(IDX(1)+IMax-1, 19)*100);
    fprintf('\n');
    
       
end

boxplot (C);
title ('Percentatge d''encerts segons caracterstiques escollides');
xlabel ('Nombre simultani de caracterstiques');

