function SC = asbscentroid ( X )
%%
% ASBSCENTROID(X)
%
% Purpose:  Returns the spectral centroid of spectrum signal X
%
% Inputs:   X       - Spectrum signal
%           
% Output:   SC      - Spectrum Centroid
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

magnitude = 0;
for n = 1:length(X)
    magnitude = magnitude + n * X(n);
end
SC = magnitude / sum(X);

%% EOF
