function asbsdownsample ( filename, newfs )
%%
% ASBSDOWNSAMPLE(FIENAME,NEWFS)
%
% Purpose:  Auxiliar function that performs downsampling of signal in
%           filename to newfs and saves in new file ending with
%           _sXX.wav where XX is a codifcation of the new sampling
%           frequency.
%
% Inputs:   filename    - filename with signal
%           newfs       - new sampling frequency. It must be one
%                         of these: 22050, 16000, 11025 or 8000.
%           
% Output:   none
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
[path name ext] = fileparts (filename);
if isempty( ext )
    filename = [filename '.wav'];
end

[x fs nbits] = wavread(filename);

ratio = fs / newfs;

y = downsample(x, ratio);

switch (newfs)
    case 22050
        filename = strrep(filename, '.wav', '_s22.wav');
    case 16000
        filename = strrep(filename, '.wav', '_s16.wav');
    case 11025
        filename = strrep(filename, '.wav', '_s11.wav');
    case 8000
        filename = strrep(filename, '.wav', '_s8.wav');
end
wavwrite(y, newfs, nbits, filename);

%% EOF

