function asbsemphasize (filename)
%%
% ASBSEMPHASIZE(FILENAME)
%
% Purpose:  Auxiliary function that emphasizes signal from filename and
%           stores in new file ending with e.wav.
%
% Inputs:   filename    - Wave source file
%           
% Output:   None
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

% append extension if needed
[path name ext] = fileparts (filename);
if isempty( ext )
    filename = [filename '.wav'];
end

% read audio file
[x fs nbits] = wavread(filename); 

b = [1 -0.95];
% apply filter
y = filter (b, 1, x);

% save modified wave 
wavwrite(y, fs, nbits, strrep(filename, '.wav', ['e' '.wav'])); 

%% EOF