function asbsgeneratemodel (filename, fs, ws)
%%
% ASBSGENERATEMODEL(FILENAME,FS,WS)
%
% Purpose:  Generates repository from filename according to fs and ws.
%           The repository is an Excel file with all features from all
%           frames taken from source wave file.
%
% Inputs:   filename    - Source wave file taken as a model
%           fs          - sample frequency
%           ws          - window size
%           
% Output:   none
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

global ASBS_ALLFEATURES;

filename = strrep(filename, '.wav', '');

switch (fs)
    case 22050
        filename = [filename 's22'];
    case 16000
        filename = [filename 's16'];
    case 11025
        filename = [filename 's11'];
    case 8000
        filename = [filename 's8'];
end

asbsinit ( fs, ws);

[ features timemarks events ] = asbsfeatures (filename,...
                                    ASBS_ALLFEATURES, true);

MODEL = [features events];

switch (ws)
    case 128
        filename = [filename 'w128'];
    case 96
        filename = [filename 'w96'];
    case 92
        filename = [filename 'w92'];
    case 69
        filename = [filename 'w69'];
    case 64
        filename = [filename 'w64'];
    case 46
        filename = [filename 'w46'];
    case 32
        filename = [filename 'w32'];
    case 23
        filename = [filename 'w23'];
end

MODEL (find(MODEL (:, 19) == 0), :) = [];

xlswrite ([filename '.xlsx'], MODEL);

%% EOF

