function output = asbsknnvalidate (modelcode, features )
%%
% ASBSKNNVALIDATE(MODELCODE,FEATURES)
%
% Purpose:  Auxiliary function that performs validation of a repository
%           using kNN classification algorithm.
%
% Inputs:   modelcode   - Repository
%           features    - Chosen features to use in classification
%
% Output:   Matrix with real class and predicted class.
%           
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

global ASBS_I_EVENT;
global ASBS_ZMODEL;

asbsloadmodel( modelcode );

%% MAKE PARTITION
I = randperm(length(ASBS_ZMODEL));
I = I(1:round(length(ASBS_ZMODEL)/3));

query = ASBS_ZMODEL(I,:); %%

%% SOLO USAR PARA BRWATHINGTEST
%IDX = find(ASBS_ZMODEL(:,19) >= 10);
%query = ASBS_ZMODEL(IDX, :);
%query (:,19) = query (:,19)./10;
%% FIN SOLO USAR...
% eliminar los que sale evento no definido
query = query(query( :, ASBS_I_EVENT)  ~= 0, : ); 

ASBS_ZMODEL(I,:)=[];

%% SOLO USAR PARA BRWATHINGTEST
%ASBS_ZMODEL(IDX,:)=[];
%% FIN SOLO USAR...

%% STANDARDISE IS NOT NECESSARY BECAUSE TEST DATA BELONGS TO MODEL
zquery = query; 

IFeatures = asbsfeatureindex (features);
[IDX d] = knnsearch(ASBS_ZMODEL(:,IFeatures), zquery(:,IFeatures));

nmatches1 = length(find(       ASBS_ZMODEL(IDX,ASBS_I_EVENT)    ==...
                                    query(:,ASBS_I_EVENT)     ));
nmatches2 = length(find( ceil (ASBS_ZMODEL(IDX,ASBS_I_EVENT)/2) ==...
                                    ceil(query(:,ASBS_I_EVENT)/2)  ));
nmatches3 = length(find( rem  (ASBS_ZMODEL(IDX,ASBS_I_EVENT),2) ==...
                                    rem (query(:,ASBS_I_EVENT), 2) ));
percent1 = nmatches1 / length(query);
percent2 = nmatches2 / length(query);
percent3 = nmatches3 / length(query);

disp(['same event: ' num2str(percent1*100) '%']);
disp(['boca/nas  : ' num2str(percent2*100) '%']);
disp(['ins/esp   : ' num2str(percent3*100) '%']);

%% outputs
output = [query(:,ASBS_I_EVENT) ASBS_ZMODEL(IDX,ASBS_I_EVENT)];

%% EOF

