function asbsknnvalidateall ( modelcode )
%%
% ASBSKNNVALIDATEALL(MODELCODE)
%
% Purpose:  Auxiliary function that performs validation of a repository
%           using kNN classification algorithm. It proof every possible
%           combination of features. It generates file with results for
%           every subset.
%
% Inputs:   modelcode   - Repository
%           
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

global ASBS_I_EVENT;
global ASBS_TOTAL_FEATURES;
global ASBS_ZMODEL;

asbsloadmodel( modelcode );

%% MAKE PARTITION
I = randperm(length(ASBS_ZMODEL));
I = I(1:round(length(ASBS_ZMODEL)/3));
query = ASBS_ZMODEL(I,:);
% eliminar los que sale evento no definido
query = query(query( :, ASBS_I_EVENT)  ~= 0, : ); 
ASBS_ZMODEL(I,:)=[];

zquery = query;

ncombos = 0;
for i = 1:ASBS_TOTAL_FEATURES
    ncombos = ncombos + nchoosek(ASBS_TOTAL_FEATURES,i);
end

ratios = zeros(ncombos, ASBS_I_EVENT);

tic;
k = 1;
for i = 12:-1:11 
    disp(['indice binomial ' int2str(i)]);
    combi = combnk(1:ASBS_TOTAL_FEATURES,i);
    for j=1: nchoosek(ASBS_TOTAL_FEATURES,i)
        [IDX d] = knnsearch(ASBS_ZMODEL(:,combi(j,:)), ...
                                        zquery(:,combi (j,:)));
        nmatches = length(find(ASBS_ZMODEL(IDX,ASBS_I_EVENT) == ...
                                    query(:,ASBS_I_EVENT)));
        percent = nmatches / length(query);
        ratios (k, combi(j,:)) = 1;
        ratios (k, ASBS_I_EVENT) = percent;
        k = k + 1;
    end
    xlswrite (['results2292_' int2str(i) '.xlsx'], ratios);
    disp(['indice binomial ' int2str(i) ' done!']);
    toc;
end

toc;

%% EOF