function output = asbsknnvalidatesequenced (modelcode )
%%
% ASBSKNNVALIDATESEQUENCED(MODELCODE)
%
% Purpose:  Auxiliary function that performs validation of a repository
%           using kNN classification algorithm. It proof every features
%           isolated.
%
% Inputs:   modelcode   - Repository
%
% Output:   output      - % of success for every feature
%           
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
global ASBS_I_EVENT;
global ASBS_TOTAL_FEATURES;
global ASBS_ZMODEL;

asbsloadmodel( modelcode );

p = zeros(ASBS_TOTAL_FEATURES, 1);
I = randperm(length(ASBS_ZMODEL));
I = I(1:round(length(ASBS_ZMODEL)/3));

query = ASBS_ZMODEL(I,:);
% eliminar los que sale evento no definido
query = query(query( :, ASBS_I_EVENT)  ~= 0, : ); 
ASBS_ZMODEL(I,:)=[];
zquery = query; %% ANULAR STANDARIZACION

for IFeatures=1:ASBS_TOTAL_FEATURES
    [IDX d] = knnsearch(ASBS_ZMODEL(:,IFeatures), zquery(:,IFeatures));
    nmatches1 = length(find(ASBS_ZMODEL(IDX,ASBS_I_EVENT) == ...
                                    query(:,ASBS_I_EVENT)));
    percent1 = nmatches1 / length(query);
    p(IFeatures,1) = percent1;
end

output = p;

%% EOF

