function asbsloadmodel( code )
%%
% ASBSLOADMODEL(CODE)
%
% Purpose:  Loads model repository and performs initializations.
%
% Inputs:   code   - Repository code
%           
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
global ASBS_MODELCODE;
global ASBS_ZMODEL;
global ASBS_MU;
global ASBS_DELTA;
global ASBS_TOTAL_FEATURES;
global ASBS_I_EVENT;

switch ( code )
    case 's22w92'
        asbsinit( 22050, 92 );
    case 's22w69'
        asbsinit( 22050, 69 );
    case 's22w46'
        asbsinit( 22050, 46);
    case 's22w23'
        asbsinit (22050, 23);
    case 's16w128'
        asbsinit (16000, 128);
    case 's16w96'
        asbsinit (16000, 96);
    case 's16w64'
        asbsinit (16000, 64);
    case 's16w32'
        asbsinit(16000, 32);
    case 's11w92'
        asbsinit(11025, 92);
    case 's11w69'
        asbsinit(11025, 69);
    case 's11w46'
        asbsinit(11025, 46);
    case 's11w23'
        asbsinit (11025, 23);
    case 's8w128'
        asbsinit(8000, 128);
    case 's8w96'
        asbsinit (8000, 96);
    case 's8w64'
        asbsinit(8000, 64);
    case 's8w32'
        asbsinit(8000, 32);
    otherwise
        disp ('Model not expected');
        exit;
end

ASBS_MODELCODE = code;

filename = ['..\models\breathing_c100' code '.xlsx'];

modeldata = asbsimportxls(filename);
%% STANDARDISE
[ ASBS_ZMODEL ASBS_MU ASBS_DELTA ] = ...
            zscore(modeldata(:,1:ASBS_TOTAL_FEATURES));  
ASBS_ZMODEL = [ASBS_ZMODEL modeldata(:,ASBS_I_EVENT)];

%% SOLO USAR PARA BRWATHINGTEST
%ASBS_ZMODEL(find(ASBS_ZMODEL(:,19) >= 10),:)=[];
%% FIN SOLO USAR...

%% EOF

