function asbsplotmfccs( wavefile )
% ASBSPLOTMFCCS(wAVEFILE)
%
% Purpose:  extract and plot all MFCC coeficients
%
% Inputs:   wavefile    - file with breath sound 
%           
% Output:   nothing
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

global ASBS_MFCC;
global ASBS_I_MFCC2;
global ASBS_I_MFCC13;

figure('name', 'MFCCs', 'Color', [1 1 1]);

LineWidth = 1.2;

[features fr ev] = asbsfeatures(wavefile, ASBS_MFCC, true);
I = find(ev == 1);
x1 = features(I,:);
I = find(ev == 2);
x2 = features(I,:);
I = find(ev == 3);
x3 = features(I,:);
I = find(ev == 4);
x4 = features(I,:);

i = 1;
for idx=ASBS_I_MFCC2:ASBS_I_MFCC13
    subplot (4,3,i);
    minX  = min([min(x1(:,idx)) min(x2(:,idx)) min(x3(:,idx)) min(x4(:,idx))]);
    maxX  = max([max(x1(:,idx)) max(x2(:,idx)) max(x3(:,idx)) max(x4(:,idx))]);
    stepX = (maxX - minX) / 100;
    t = minX : stepX : maxX;
    [x n] = hist(x1(:,idx), t);
    plot (n, x./max(x), 'Color', [0 0 1], 'LineWidth', LineWidth);
    hold on;
    [x n] = hist(x2(:,idx), t);
    plot (n, x./max(x), 'Color', [1 0 0], 'LineWidth', LineWidth);
    hold on;
    [x n] = hist(x3(:,idx), t);
    plot (n, x./max(x), 'Color', [0 0.5 0], 'LineWidth', LineWidth);
    hold on;
    [x n] = hist(x4(:,idx), t);
    plot (n, x./max(x), 'Color', [0 0.75 0.75], 'LineWidth', LineWidth);
    title(['MFCC #' int2str(i+1)]);
    i = i + 1;
end

%% EOF


%% EOF