function asbsplotspectrum(filename)
% ASBSPLOTSPECTRUM(FILENAME)
%
% Purpose:  Auxiliary function that plots spectrum of signal
%
% Inputs:   wavefile    - file with breath sound 
%           
% Output:   nothing
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
[x fs nbits] = wavread(filename);
T = 1/fs;
L = length(x);
t=(0:L-1)*T;
NFFT = 2^nextpow2(L);
X = fft (x, NFFT) / L;
f = fs / 2 * linspace(0,1,NFFT/2+1);
XX = 2*abs(X(1:NFFT/2+1));
plot(f, XX);

%% EOF