function output = asbsrmsratio (X, Hz)
%%
% ASBSRMSRATIO(X,HZ)
%
% Purpose:  Calculates ratio of RMS from total RMS at Hz frquency.
%
% Inputs:   X       - Spectrum signal
%           HZ      - Cut frequency           
%
% Output:   Output  - Percent
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

global ASBS_SAMPLING;

bin = floor(Hz * length(X) / (ASBS_SAMPLING / 2));

output = sum (X(1:bin)) / sum (X(bin:end));

%% EOF

