function RO = asbsrolloff (X, r)
%%
% ASBSROLLOFF(X,R)
%
% Purpose:  returns the roll-off with ratio r
%
% Inputs:   X       - the spectrum of the signal
%           R       - the ratio energy
%
% Output:   RO is the roll-off
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

num = 0;
total = sum(X);
for i=1:length(X)
    num = num + X(i);
    if (num >= r * total)
        break;
    end
    
end
RO = i;

%% EOF

