function spectrum = asbsspectrum(x)
%%
% ASBSSPECTRUM(X)
%
% Purpose:  returns spectrum of signal x
%
% Inputs:   X           - the signal
%
% Output:   SPECTRUM    - the spectrum of the signal
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
N = length(x);
xh = x.*hamming(N);
NFFT = 2^nextpow2(N);
X = fft (xh, NFFT) / N;
XX = 2*abs(X(1:NFFT/2+1));
spectrum = XX;

%% EOF

