%%
% ASBSWINDOWINGJUSTIFICATION
%
% Purpose:  Auxiliary code that plots windowing process and objectives
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
figure ('Color', [1 1 1]);
subplot(321);
Fs = 1000;
T = 1 / Fs;
N = 125;
t = (0:N-1)*T;
x = sin(2*pi*100*t); % Ex 50 Hz signal
plot (Fs*t,x);
xlim ([0 N]);
title('Segment no peridic');
xlabel('temps(ms)');

subplot(322);
NFFT = 2^nextpow2(N); % Next power of 2 from length of y
X = fft(x,NFFT)/N;
f = Fs/2*linspace(0,1,NFFT/2+1);
plot(f,2*abs(X(1:NFFT/2+1)))
title('Amplitud de l''espectre');
xlabel('freqncia (Hz)')
ylabel('|X(f)|')

subplot(323);
h = hamming(N);
plot(Fs*t,h);
xlim ([0 N]);
title('Finestra de Hamming');

subplot(324);
xh = x.*h';
plot(Fs*t,xh);
xlim ([0 N]);
title('Finestra aplicada al senyal');
xlabel('temps(ms)');

subplot(325);
NFFT = 2^nextpow2(N); % Next power of 2 from length of y
XH = fft(xh, NFFT) / N;
f = Fs/2*linspace(0,1,NFFT/2+1);
plot(f,2*abs(XH(1:NFFT/2+1)));
title('Nova amplitud de l''espectre');
xlabel('freqncia (Hz)')
ylabel('|X(f)|')

